Package ru.bitel.bgbilling.kernel.script.server.bean

# Class ScriptInstance.ValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ru.bitel.bgbilling.kernel.script.server.bean.ScriptInstance.ValidationException

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  ScriptInstance

    public static class ScriptInstance.ValidationException
    extends java.lang.Exception

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ValidationException()` |
  `ValidationException​(java.lang.String message)` |
  `ValidationException​(java.lang.String message, java.lang.Throwable cause)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getBeginColumn()` |
  `int` | `getBeginLine()` |
  `int` | `getEndColumn()` |
  `int` | `getEndLine()` |
  `void` | `setBeginColumn​(int beginColumn)` |
  `void` | `setBeginLine​(int beginLine)` |
  `void` | `setEndColumn​(int endColumn)` |
  `void` | `setEndLine​(int endLine)` |

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValidationException

    public ValidationException()

  - ### ValidationException

    public ValidationException​(java.lang.String message, java.lang.Throwable cause)

  - ### ValidationException

    public ValidationException​(java.lang.String message)

- ## Method Details

  - ### getBeginLine

    public int getBeginLine()

  - ### setBeginLine

    public void setBeginLine​(int beginLine)

  - ### getBeginColumn

    public int getBeginColumn()

  - ### setBeginColumn

    public void setBeginColumn​(int beginColumn)

  - ### getEndLine

    public int getEndLine()

  - ### setEndLine

    public void setEndLine​(int endLine)

  - ### getEndColumn

    public int getEndColumn()

  - ### setEndColumn

    public void setEndColumn​(int endColumn)